Subject: bug#45821: Emacs UDP support on Windows

From: Alex Matei <[email-masked]>
Date: Thu, 12 Jan 2023 11:23:20 +0000

Thanks!

For me, the process starts as expected -> I guess later messages might cause it to hang / crash

Also, on the topic of voodoo magic:

I would be interested if anyone gets the networking tests to run successfully  on an official build for Windows (GNU Emacs download - GNU Project<https://www.gnu.org/software/emacs/download.html>).

  *   I think we should start here, and have this as a baseline

     *   Unless we are saying that the tests require some Voodoo magic that the official builds don’t have readily available …

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: Robert Pluim<mailto:[email-masked]>
Sent: Thursday, January 12, 2023 3:21 AM
To: Alex Matei<mailto:[email-masked]>
Cc: Eli Zaretskii<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: bug#45821: Emacs UDP support on Windows

>>>>> On Thu, 12 Jan 2023 11:12:36 +0000, Alex Matei <[email-masked]> said:

    Alex> Yeah – I guess I wasn’t able to asses that myself but yeah, that might be the case 😊

Itʼs easy enough to check. run gnutls-serv manually from a shell with
the same parameters as the test, comment out the server creation code
in the relevant test, and run it manually.

Robert
--